Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.stmt
Class PerConnectionMaxOnlyStatementCache

    java.lang.Object
      com.mchange.v2.c3p0.stmt.GooGooStatementCache
          com.mchange.v2.c3p0.stmt.PerConnectionMaxOnlyStatementCache

    public final class PerConnectionMaxOnlyStatementCache

extends GooGooStatementCache

Nested Class Summary

Nested classes/interfaces inherited from class com.mchange.v2.c3p0.stmt.GooGooStatementCache
`GooGooStatementCache.ConnectionStatementManager, GooGooStatementCache.Deathmarch, GooGooStatementCache.DeathmarchConnectionStatementManager, GooGooStatementCache.SimpleConnectionStatementManager`

Constructor Summary
`PerConnectionMaxOnlyStatementCache(com.mchange.v2.async.AsynchronousRunner blockingTaskAsyncRunner, com.mchange.v2.async.AsynchronousRunner deferredStatementDestroyer, int max_statements_per_connection)`

Method Summary
`protected GooGooStatementCache.ConnectionStatementManager` | `createConnectionStatementManager()`

Methods inherited from class com.mchange.v2.c3p0.stmt.GooGooStatementCache
`checkinAll, checkinStatement, checkoutStatement, close, closeAll, dumpStatementCacheStatus, getNumConnectionsWithCachedStatements, getNumStatements, getNumStatementsCheckedOut, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatements, inUse, isClosed, tryMarkConnectionInUse, unmarkConnectionInUse, waitMarkConnectionInUse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerConnectionMaxOnlyStatementCache

    public PerConnectionMaxOnlyStatementCache(com.mchange.v2.async.AsynchronousRunner blockingTaskAsyncRunner,
                                              com.mchange.v2.async.AsynchronousRunner deferredStatementDestroyer,
                                              int max_statements_per_connection)

Method Detail

### createConnectionStatementManager

    protected GooGooStatementCache.ConnectionStatementManager createConnectionStatementManager()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD